View Issue Details

IDProjectCategoryView StatusLast Update
0004645Talerdocumentationpublic2017-10-23 10:51
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PriorityurgentSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.5Fixed in Version0.4 
Summary0004645: Refactor of Taler API's documentation
DescriptionThis issue collects all those sub-issues that need to be addressed, because documentation
is a big beast and it leaks from various points. And yes, it can point to other open issues
and be lively updated.

- 0004722 The "Web Integration Handbook" chapter should describe low-level/signaling interaction
  between Websites and wallet.
- 0004169 Blog shop example (just reread)
- 0004359 Description of how tripwire is set-up.
- Update docs to match 0004873
TagsNo tags attached.

Relationships

related to 0004169 closedMarcello Stanisci spec for blog post merchant missing 
related to 0004359 closedMarcello Stanisci document taler.net setup 
related to 0004521 closedMarcello Stanisci inconsistent terminology: edate vs expiration date vs refund deadline 
related to 0004864 closedChristian Grothoff Doc: Update taler user documentation to texinfo 

Activities

Marcello Stanisci

2017-01-30 14:43

manager   ~0011664

Last edited: 2017-01-30 14:43

View 2 revisions

The term 'contract' occurs A LOT throughout the docs. Make sure it'll be
changed in 'proposal'.

Christian Grothoff

2017-10-23 10:51

manager   ~0012510

I think the docs are structurally now OK.

Issue History

Date Modified Username Field Change
2016-09-07 13:07 Marcello Stanisci New Issue
2016-09-07 13:09 Marcello Stanisci Description Updated View Revisions
2016-09-07 13:10 Marcello Stanisci Description Updated View Revisions
2016-09-07 13:13 Marcello Stanisci Description Updated View Revisions
2016-09-07 13:15 Marcello Stanisci Description Updated View Revisions
2016-09-07 16:57 Marcello Stanisci Relationship added related to 0004169
2016-09-07 16:57 Marcello Stanisci Relationship added related to 0004359
2016-09-07 16:58 Marcello Stanisci Relationship added related to 0004521
2016-09-08 09:33 Marcello Stanisci Description Updated View Revisions
2016-09-08 17:29 Marcello Stanisci Description Updated View Revisions
2016-09-08 17:30 Marcello Stanisci Description Updated View Revisions
2016-09-13 10:37 Marcello Stanisci Description Updated View Revisions
2016-09-19 14:37 Marcello Stanisci Description Updated View Revisions
2016-09-19 16:04 Marcello Stanisci Description Updated View Revisions
2016-09-21 15:41 Marcello Stanisci Description Updated View Revisions
2016-09-26 13:55 Christian Grothoff Severity minor => text
2016-09-26 13:55 Christian Grothoff Product Version => 0.0
2016-09-30 00:29 Marcello Stanisci Description Updated View Revisions
2016-10-02 20:35 Florian Dold Summary Refactor of Taler APIs => Refactor of Taler API's documentation
2016-10-03 14:19 Marcello Stanisci Description Updated View Revisions
2016-10-04 20:42 Marcello Stanisci Description Updated View Revisions
2016-10-09 01:50 Christian Grothoff Assigned To => Marcello Stanisci
2016-10-09 01:50 Christian Grothoff Status new => assigned
2016-10-09 01:50 Christian Grothoff Target Version => 0.4
2016-10-10 08:34 Christian Grothoff Target Version 0.4 => 0.5
2016-10-12 16:49 Marcello Stanisci Description Updated View Revisions
2016-10-12 16:58 Marcello Stanisci Description Updated View Revisions
2016-10-13 22:29 Marcello Stanisci Description Updated View Revisions
2016-10-21 00:02 Marcello Stanisci Description Updated View Revisions
2016-10-26 16:56 Marcello Stanisci Description Updated View Revisions
2016-11-04 14:34 Marcello Stanisci Description Updated View Revisions
2016-11-04 14:34 Marcello Stanisci Description Updated View Revisions
2016-11-09 15:27 Marcello Stanisci Description Updated View Revisions
2016-11-09 15:28 Marcello Stanisci Description Updated View Revisions
2016-12-15 14:47 Marcello Stanisci Description Updated View Revisions
2016-12-15 16:01 Marcello Stanisci Description Updated View Revisions
2016-12-15 16:20 Marcello Stanisci Description Updated View Revisions
2017-01-30 11:35 Marcello Stanisci Description Updated View Revisions
2017-01-30 11:55 Marcello Stanisci Priority normal => urgent
2017-01-30 14:43 Marcello Stanisci Note Added: 0011664
2017-01-30 14:43 Marcello Stanisci Note Edited: 0011664 View Revisions
2017-02-10 17:58 Marcello Stanisci Description Updated View Revisions
2017-02-10 17:58 Marcello Stanisci Assigned To Marcello Stanisci =>
2017-02-26 03:04 Christian Grothoff Relationship added related to 0004864
2017-02-26 03:04 Christian Grothoff Status assigned => confirmed
2017-04-09 00:14 Christian Grothoff Target Version 0.5 => 0.7
2017-10-23 10:51 Christian Grothoff Assigned To => Christian Grothoff
2017-10-23 10:51 Christian Grothoff Status confirmed => closed
2017-10-23 10:51 Christian Grothoff Resolution open => fixed
2017-10-23 10:51 Christian Grothoff Fixed in Version => 0.4
2017-10-23 10:51 Christian Grothoff Target Version 0.7 => 0.5
2017-10-23 10:51 Christian Grothoff Note Added: 0012510